server:
  port: 8834
#
#spring:
#  datasource:
#
#    url:                                jdbc:postgresql://v49201.db.redstar.pro:5432/datacenter
#    username:                           postgres
#    password:                           123456
#
#
## spring-cloud相关配置
#eureka:
#  client:                                   #客户端注册进eureka服务列表内
#    service-url:
#      defaultZone:                       http://frame:123456@172.16.46.33:9931/integrated-eureka/eureka/,http://frame:123456@172.16.46.34:9931/integrated-eureka/eureka/
#      #      defaultZone:                          http://admin:1qaz2wsx@127.0.0.1:8888/eureka/ #增加密码
#      enable-self-preservation: false # 设为false，关闭自我保护
#      eviction-interval-timer-in-ms: 5000 # 清理间隔（单位毫秒，默认是60*1000）启用主动失效，
#  instance:
#    #不加的话我看过eureka注册界面，是以docker容器的container id注册过去的，譬如container id为abcde，
#    #那么当访问该微服务时，eureka以http://abcde/xxx，去访问的，当然是访问不到该服务.
#    #配置下面的选项后，就会以内网ip加端口去访问就能访问到了。
#    prefer-ip-address: true
#    instance-id: ${spring.cloud.client.ip-address}:${spring.application.name}:${server.port}

spring:
  datasource:
    #    url:                                jdbc:postgresql://datacenter:5432/datacenter
    url:                                jdbc:postgresql://192.168.0.72:5432/datacenter
    #    url:                                jdbc:postgresql://192.168.64.14:5432/datacenterlabsl
    username:                           postgres
    password:                           cGVyc2FneV8yMDIwcXdlIUAj